from .cli_bootstrap import check_dict

from typing import (
	Any,
	Mapping,
	MutableMapping,
	Iterable,
)


def toml_add_overlay(
	toml: Any,
	overlay: Any,
) -> Any:
	if isinstance(toml, MutableMapping):
		overlay2 = check_dict(
			overlay,
			str,
		)

		for k, v in overlay2.items():
			if not k in toml:
				toml[k] = v
			else:
				toml_add_overlay(
					toml[k],
					v,
				)
	else:
		raise NotImplementedError
